<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>home work</title>
</head>
<body>
    <script>
        'use strict'
        //1
        var userArray = [0, 1, 2, 3, 4];

        function newOne(item) {
            item += 1;
            return item;
        }
        function map(fn, array) {
            for (var i = 0; i < array.length; i++) {
                array[i] = fn(array[i]);
            }
            return array;
        }
        document.write(map(newOne, userArray) + "<hr>" );

        //2 
        function checkAge(age) {
            if (age < 18) {
                return true;
            } else {
                return confirm("Родители разрешили?");
            }
        }

        function checkage (age) {
           return age > 18 ? true : confirm("Родители разрешили?");
        }
        document.write(checkAge(12));
        

    </script>
</body>
</html>